Subject: t4129 failure when sticky bit set

From: Kevin Daudt <[email-masked]>
Date: Wed, 30 Dec 2020 13:05:21 +0100

The new test (do not use core.sharedRepository for working tree files)
in t4129-apply-sammode.sh does not account for sticky bits set:

  --- d_mode.expected     2020-12-30 11:56:11.869555700 +0000
  +++ d_mode.actual       2020-12-30 11:56:11.872889055 +0000
  @@ -1 +1 @@                                                
  -drwx------                                                
  +drwx--S---                                                

This sticky bit (g+s) is set on my home dir and thus inherrited.